hash_pbkdf2
hash_update_stream
Hash Functions
PHP Manual

# hash_update_file

(PHP 5 >= 5.1.2, PECL hash >= 1.1)

hash_update_file — Pump data into an active hashing context from a file

### Description

bool hash_update_file ( resource `$hcontext` , string `$filename` [, resource `$scontext` = `NULL` ] )

### Parameters

`hcontext`

  Hashing context returned by hash_init().

`filename`

  URL describing location of file to be hashed; Supports fopen wrappers.

`scontext`

  Stream context as returned by stream_context_create().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- hash_init() - Initialize an incremental hashing context
- hash_update() - Pump data into an active hashing context
- hash_update_stream() - Pump data into an active hashing context from an open stream
- hash_final() - Finalize an incremental hash and return resulting digest
- hash() - Generate a hash value (message digest)
- hash_file() - Generate a hash value using the contents of a given file

hash_pbkdf2
hash_update_stream
Hash Functions
PHP Manual